
From: Matt Mackall <mpm@selenic.com>

Remove redundant memsets of BSS data

Signed-off-by: Matt Mackall <mpm@selenic.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/random.c |    6 ------
 1 files changed, 6 deletions(-)

diff -puN drivers/char/random.c~random-pt2-kill-memsets-of-static-data drivers/char/random.c
--- 25/drivers/char/random.c~random-pt2-kill-memsets-of-static-data	2005-01-16 00:53:32.619050040 -0800
+++ 25-akpm/drivers/char/random.c	2005-01-16 00:53:32.625049128 -0800
@@ -1499,8 +1499,6 @@ static void init_std_data(struct entropy
 
 static int __init rand_initialize(void)
 {
-	int i;
-
 	if (create_entropy_store(DEFAULT_POOL_SIZE, "primary", &random_state))
 		goto err;
 	if (batch_entropy_init(BATCH_ENTROPY_SIZE, random_state))
@@ -1517,10 +1515,6 @@ static int __init rand_initialize(void)
 #ifdef CONFIG_SYSCTL
 	sysctl_init_random(random_state);
 #endif
-	for (i = 0; i < NR_IRQS; i++)
-		irq_timer_state[i] = NULL;
-	memset(&input_timer_state, 0, sizeof(struct timer_rand_state));
-	memset(&extract_timer_state, 0, sizeof(struct timer_rand_state));
 	extract_timer_state.dont_count_entropy = 1;
 	return 0;
 err:
_
